Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Совместимость InterBase, Firebird, Yaffil между собой и по версиям

Модераторы: kdv, Alexey Kovyazin

Ответить
ExpertUfa
Сообщения: 2
Зарегистрирован: 02 ноя 2010, 20:07

Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Сообщение ExpertUfa » 02 ноя 2010, 21:31

Есть информационная система клиент-сервер, работает по TCP-IP. На сервере и на клиентах был установлен Interbase 5.0.0.627 и BDE 5.01 и соответственно на сервере лежит база Interbase. На клиентах работает клиентское приложение написанное на Delphi (не знаю какой версии) примерно в 2000-м году. На это клиентское приложение исходников нет, есть только exe файлы.
Недавно, из-за отказа от необходимости лицензирования Interbase 5.0.0.627, мы перешли на Firebird-2.5.0.26074_1.Сделали все как положено: бакап/ресторе базы, переустановка сервера. Все встало и заработало - милое дело .... НО!!! - в одном приложении ("ОТЧЕТЫ" - один exe файл содержит в себе кучу разных отчетов) - не заработал только ОДИН отчет - выдает ошибку: Query2: Field 'COLUMN1' not found.

Возможно ли такое? неужели несовместимость есть - под одним сервером запрос работает а под другим нет!!! и ведь исходников нет - не посмотришь :(
Что посоветуете господа?

dimitr
Разработчик Firebird
Сообщения: 888
Зарегистрирован: 26 окт 2004, 16:20

Re: Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Сообщение dimitr » 02 ноя 2010, 22:40

несовместимость запросто может быть. Если вопрос только в лицензии и работоспособность IB 5.0 вас устраивала, то попробуйте Firebird 1.5.6 вместо 2.5. Или даже 1.0.4.

ExpertUfa
Сообщения: 2
Зарегистрирован: 02 ноя 2010, 20:07

Re: Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Сообщение ExpertUfa » 02 ноя 2010, 23:19

пробовал Firebird-1.5.3.4870-0 - тоже самое - не работает :(

dimitr
Разработчик Firebird
Сообщения: 888
Зарегистрирован: 26 окт 2004, 16:20

Re: Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Сообщение dimitr » 03 ноя 2010, 09:55

а 1.0.4 пробовали?

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Re: Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Сообщение kdv » 03 ноя 2010, 15:32

Версии 5.0.0.627 не существует, скорее всего имеется в виду 6.0.0.627
www.ibase.ru/devinfo/allversions.htm
Недавно, из-за отказа от необходимости лицензирования Interbase 5.0.0.627
поясните, пожалуйста. Подчеркну, что речь идет о бесплатной 6.0.0.627, а не о платном 5.x
мы перешли на Firebird-2.5.0.26074_1
достаточно безумный шаг при отсутствии исходников приложения.
Что посоветуете господа?
вернуться на InterBase 6.0, со всеми вытекающими (тормоза при работе на Win 2003, Vista, 7 и т.д.)

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Re: Переход с Interbase 5.0.0.627 на Firebird-2.5.0.26074_1

Сообщение kdv » 03 ноя 2010, 15:33

вдогонку - можно попробовать Yaffil, скорее всего он будет совместим, но он не бесплатный.

Ответить

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 2 гостя